Subject: Re: [RFC/PATCH] Implement {read,update}_persistent_clock. v2

From: [email-masked] (Tony Breeds)
Date: Wed, 12 Sep 2007 14:56:20 +1000

On Tue, Sep 11, 2007 at 09:34:13AM -0500, Milton Miller wrote:
 
> Previously we called ppc_md.get_boot_time at most once.  How about 
> moving the check for it into the if (first) block?

Yup on investigatiion it looks like moving it inside the "if (fist)" is
safe.
 
> Have you tested with a platform that doesn't implement get_rtc_time?

Well no I haven't.  AFAICT without my patch read_persistent_clock() is a
weak symbol that always returns 0.  So any platform that doesn't have a
ppc_md.get_boot_time() or ppc_md.get_rtc_time() will still get a 0 at
all the call sites.

I'll locate a machine and verify I'm not making things worse.

Yours Tony

  linux.conf.au        http://linux.conf.au/ || http://lca2008.linux.org.au/
  Jan 28 - Feb 02 2008 The Australian Linux Technical Conference!